import { Dirent, Stats } from 'fs'
import { GlobOptions } from 'glob'

export interface WebbyAsyncOptions {
    preserveRoot?: boolean
    tmp?: string
    maxRetries?: number
    retryDelay?: number
    backoff?: number
    maxBackoff?: number
    signal?: AbortSignal
    glob?: boolean | GlobOptions
    filter?:
    | ((path: string, ent: Dirent | Stats) => boolean)
    | ((path: string, ent: Dirent | Stats) => Promise<boolean>)
}

//console.log("This is Webby - A small static website builder written in TypeScript for learning purposes.")